.TH wxGridSizer 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxGridSizer \- See external documentation: wxGridSizer\&.
.SH DESCRIPTION
.LP
See external documentation: wxGridSizer <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridsizer\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxSizer 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxGridSizer()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Cols::integer()) -> wxGridSizer()
.br
.RS
.LP
Equivalent to new(Cols, [])\&.
.RE
.LP
.B
new(Cols::integer(), Options::[Option]) -> wxGridSizer()
.br
.RS
.TP
Types
Option = {vgap, integer()} | {hgap, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridsizer\&.html#wxgridsizerwxgridsizer>\&.
.RE
.LP
.B
new(Rows::integer(), Cols::integer(), Vgap::integer(), Hgap::integer()) -> wxGridSizer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridsizer\&.html#wxgridsizerwxgridsizer>\&.
.RE
.LP
.B
getCols(This::wxGridSizer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridsizer\&.html#wxgridsizergetcols>\&.
.RE
.LP
.B
getHGap(This::wxGridSizer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridsizer\&.html#wxgridsizergethgap>\&.
.RE
.LP
.B
getRows(This::wxGridSizer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridsizer\&.html#wxgridsizergetrows>\&.
.RE
.LP
.B
getVGap(This::wxGridSizer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridsizer\&.html#wxgridsizergetvgap>\&.
.RE
.LP
.B
setCols(This::wxGridSizer(), Cols::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridsizer\&.html#wxgridsizersetcols>\&.
.RE
.LP
.B
setHGap(This::wxGridSizer(), Gap::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridsizer\&.html#wxgridsizersethgap>\&.
.RE
.LP
.B
setRows(This::wxGridSizer(), Rows::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridsizer\&.html#wxgridsizersetrows>\&.
.RE
.LP
.B
setVGap(This::wxGridSizer(), Gap::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridsizer\&.html#wxgridsizersetvgap>\&.
.RE
.LP
.B
destroy(This::wxGridSizer()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
